//
//  AMSDKGatewayProtocol.h
//  AliMeetingSDK
//
//  Created by xuanzhen.zjw on 2019/8/15.
//  Copyright © 2019 Alibaba. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

//! 网关回调
typedef void (^AMSDKGatewayCallback)(id _Nullable data, NSError * _Nullable error);

/**
 * RPC网关协议
 */
@protocol AMSDKGatewayProtocol <NSObject>

/// @method request:params:block:
/// @param apiName       API方法名
/// @param params         参数
/// @param callback     回调
/// @discussion
/// 发送网关请求
///
- (void)request:(NSString *)apiName
         params:(NSDictionary * _Nullable)params
          block:(AMSDKGatewayCallback)callback;

@end

NS_ASSUME_NONNULL_END
